Kerbal Space Program - Bug #17825

MK1-3 Command Pod Crew Display
03/07/2018 01:13 AM - cdepublius

Status: Closed Start date: 03/07/2018
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.4.1

Version: 1.4.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

Good evening,

| like the new changes, especially those to the MK1-3 command pod (centering the door, making it lighter, etc). | noticed, however,
that the crew pictures (with IVA/EVA option) are missing from the lower-right corner.

Keep up the good work, just wanted to let you know,

Kyle

History

#1 - 03/07/2018 01:33 AM - Squelch
- Status changed from New to Being Worked On
- Severity changed from Low to Normal

- % Done changed from 0 to 30

Thank you for your report. We are aware of the problem and it is being worked on.

#2 - 03/07/2018 05:52 PM - Ruedii
- Platform Linux, OSX added

Added Linux and OS X, bug is obviously not platform specific.

#3 - 03/08/2018 09:02 AM - LiOn

If you guys haven't figured out yet : the issue is from the INTERNAL node in Mk1-3.cfg. It looks like :
INTERNAL {

name = Mk1-3

}

But there is no internal of that name.

Changing it to :
INTERNAL  {
name = PodCockpit

1
Brings back the internal from the legacy Mk1-2 pod. (and the flight portrait is working too).

#4 - 03/09/2018 04:00 AM - jclovis3
- File Portrait and EVA tester.craft added

| concur this is new to version 1.4.0

All other pods, passenger containers, and science lab have tested fine with regard to this bug.
Attached ship file: "Portrait and EVA Tester"

Scientist starts out in the science lab. Transfer him around to each pod for test.

04/10/2024 1/2




#5 - 03/14/2018 09:59 PM - Squelch

- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.1

- % Done changed from 30 to 80

- Expansion Core Game added

#6 - 03/30/2018 04:04 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

GOG 1.4.1
Steam 1.4.2 (plus MH) (gog 1.4.2 isnt uploaded yes)

Resolved

#7 - 10/15/2018 07:03 PM - joshua.collins

- Status changed from Resolved to Closed

Files

20180306191155_1.jpg 345 KB 03/07/2018 cdepublius

Portrait and EVA tester.craft 54.5 KB 03/09/2018 jclovis3
